Redmine - Defect #9248

context_menu causes HTML error with ie8
2011-09-15 00:01 - big smookyz

Status: Closed Start date: 2011-09-14
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Roadmap Estimated time: 0.00 hour
Target version:

Resolution: Affected version: 1.2.1
Description

The context_menu causes HTML error with ie8 on the Roadmap page.
Sequence to reproduce:

e Click on the Roadmap tab in a project

¢ Click on an version item in the Roadmap page

If the version contains bugs, the context menu is loaded and you should see an HTML error on the page.

If | delete the line <%= context_menu issues_context_menu_path %> in app/views/versions/show.rhtml, the context menu is not
loaded and no errors notifications on the Roamap page.

Something wrong with the javascript call? Defer=True?
No errors with Firefox or Chrome, only Internet Explorer
IE8 : 8.0.6001

Redmine : 1.2.1 stable

Connection over Https
Server : Windows 2008 with Apache and Thin

You can see the detail error in the attached file.

History

#1 - 2011-09-15 00:16 - big smookyz

- File ie8.PNG added

This is the error message displayed by ie8 after each first call (https 200).

After a first call ie8 uses the cache and doesn't return the error (https 304).

#2 - 2011-09-15 08:52 - Etienne Massip

Can't reproduce with IE8 8.0.6001.18072, | have no javasript error.

It does not feel like a Redmine issue to me, maybe more a configuration issue ?
Check your error logs, your plugins, etc. according to SubmittingBugs.

#3 - 2015-04-08 02:13 - Go MAEDA

- Status changed from New to Closed

I think this issue can be closed because Redmine swhiched from prototype.js to JQuery in Redmine 2.1 (#11445) and javascripts are fully rewritten so
current versions of Redmine are unrelated to this issue.

In addition, IE8 will reaches EOL on January 12, 2016: Stay up-to-date with Internet Explorer - IEBlog

Files
ie.PNG 18.5 KB 2011-09-14 big smookyz
ie8.PNG 226 KB 2011-09-14 big smookyz
https://www.redmine.org/issues/11445
http://blogs.msdn.com/b/ie/archive/2014/08/07/stay-up-to-date-with-internet-explorer.aspx
http://www.tcpdf.org

